<HTML>
<HEAD><META HTTP-EQUIV=REFRESH CONTENT=100>
<TITLE>Hello World</TITLE>
<BODY>
<!--- An example CGIscriptor program/HTML file --!>

<META CONTENT='text/ssperl; CGI="$CGI_Decoded_QS $CGI_Date 
$Input=(Type Something Here) $Button=4"'>

<center>
<H1><SCRIPT TYPE="text/ssperl">"Hello World"</SCRIPT></H1>



<A HREF="philosophical-gnu-sm.jpg"><IMG SRC="philosophical-gnu-sm.jpg"
   ALT=" [philosophical-gnu] "
   WIDTH="160" HEIGHT="200"></A>
<H2><SCRIPT TYPE="text/ssperl">$CGI_Date</SCRIPT></H2>
</center>
<hr>

<SCRIPT TYPE="text/ssperl">
# CGI_Decoded_QS can be used as a simple variable as it is declared
# in a META tag (if there is a query-string)
print "<h2>Query: $CGI_Decoded_QS</h2><hr>\n" if $CGI_Decoded_QS;
"";
</SCRIPT>

<h2>Environment:</h2>
<ul>
<SCRIPT TYPE="text/ssperl">
# A list with public (safe) environment information
@KeyList = ('SERVER_PROTOCOL', 'SERVER_SOFTWARE', 'GATEWAY_INTERFACE', 
            'SERVER_PORT', 'PATH_INFO', 'REMOTE_HOST',
            'REMOTE_ADDR', 'REQUEST_METHOD', 
            'SERVER_PROTOCOL', 'CONTENT_LENGTH', 'HTTP_USER_AGENT',
	    'HTTP_ACCEPT', 'CONTENT_TYPE', 'AUTH_TYPE', 'REMOTE_IDENT',
	    'HTTP_REFERER', 'REMOTE_USER', 'HTTP_HOST','HTTP_ACCEPT_CHARSET');
# Print them all
foreach $item (@KeyList)
{
   print "<li>$item: $ENV{$item}\n" if $ENV{$item};
};
"";
</SCRIPT>
</ul>

<form action="Hello.html" method="POST">
<INPUT TYPE=TEXT NAME="Input" 
       VALUE="<SCRIPT TYPE="text/ssperl">"$Input"</SCRIPT>">
<INPUT TYPE="RADIO" NAME="Button" VALUE=1
	<SCRIPT TYPE="text/ssperl">'CHECKED' if $Button==4</SCRIPT>>
<INPUT TYPE="RADIO" NAME="Button" VALUE=2
	<SCRIPT TYPE="text/ssperl">'CHECKED' if $Button==1</SCRIPT>>
<INPUT TYPE="RADIO" NAME="Button" VALUE=3
	<SCRIPT TYPE="text/ssperl">'CHECKED' if $Button==2</SCRIPT>>
<INPUT TYPE="RADIO" NAME="Button" VALUE=4
	<SCRIPT TYPE="text/ssperl">'CHECKED' if $Button==3</SCRIPT>>
<br>
<center><INPUT TYPE=SUBMIT VALUE=GO></center>
</form>
<hr>
<META CONTENT='text/osshell; CGI="$PATH_INFO"'>
<h3>This is visit number <SCRIPT  TYPE="text/osshell">
grep $PATH_INFO ~/Client.log | wc -l</SCRIPT> of this page</h3>
</BODY></HTML>
